/*
 * ubb-vga.h - Output video on UBB with more or less VGA timing
 *
 * Written 2011 by Werner Almesberger
 * Copyright 2011 Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef UBB_VGA_H
#define	UBB_VGA_H

#include <stdint.h>
#include <sys/types.h>


#define	R_VAL	(1 << 3)
#define	G_VAL	(1 << 0)
#define	B_VAL	(1 << 1)
#define	Y_VAL	(1 << 2)


void *map(off_t addr, size_t size);


/* grabfb.c */

extern uint8_t thres;

void grabfb(void *f, int xres, int yres);

/* tstimg.c */

void tstimg(void *f, int xres, int yres);

/* ppmimg.c */

extern char *img_name;

void ppmimg(void *f, int xres, int yres);

#endif /* !UBB_VGA_H */
